> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create App

> Create a new app within a project.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/projects/{project_slug}/apps
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/apps:
    post:
      tags:
        - Projects
      summary: Create App
      description: Create a new app within a project.
      operationId: api_projects_router_create_app
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAppRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    CreateAppRequest:
      properties:
        name:
          title: Name
          type: string
        slug:
          default: ''
          title: Slug
          type: string
        description:
          default: ''
          title: Description
          type: string
        framework:
          default: fastapi
          title: Framework
          type: string
      required:
        - name
      title: CreateAppRequest
      type: object
    AppResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        project_id:
          format: uuid
          title: Project Id
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          title: Description
          type: string
        framework:
          title: Framework
          type: string
        icon:
          title: Icon
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - name
        - slug
        - description
        - framework
        - icon
        - created_at
        - updated_at
      title: AppResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````